// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "GameFramework/GameMode.h"
#include "NuiSampleGameMode.generated.h"

/**
 * 
 */
UCLASS()
class NUISAMPLE_API ANuiSampleGameMode : public AGameMode
{
	GENERATED_BODY()

	UWorld* World;

	ANuiSampleGameMode();

	void Tick(float dt) override;
	void BeginPlay() override;
	void BeginDestroy() override;

	SkeletonTracker::Ptr skeletonTracker;

	void OnSkeletonUpdate(SkeletonData::Ptr userSkeletons);
	void DrawSkeleton(int skeleton_index, vector<Joint> joints);
	void DrawBone(Joint j1, Joint j2);

	static FVector RealToPosition(Vector3 real);
};
