/*
 * Image.h
 *
 *  Created on: Apr 4, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_FRAME_H_
#define NUITRACK_FRAME_H_

#include "nuitrack/types/ObjectData.h"

namespace tdv
{
namespace nuitrack
{

template<typename TImpl, typename TData>
class Frame: public ObjectData<TImpl>
{
public:
	typedef TData DataType;

	virtual ~Frame() {}

	/**
	 * @brief Get frame rows.
	 *
	 * @return rows image.
	 */
	virtual int getRows() const = 0;

	/**
	 * @brief Get frame cols.
	 *
	 * @return cols image.
	 */
	virtual int getCols() const = 0;

	/**
	 * @brief Get frame ID.
	 *
	 * @return frame ID.
	 */
	virtual uint64_t getID() const = 0;

	/**
	 * @brief Get frame data.
	 * NOTE: Get current frame data.
	 *
	 * @return current frame data.
	 */
	virtual const DataType* getData() const = 0;
};

}
}

#endif /* NUITRACK_IMAGE_H_ */
