/*
 * Gesture.h
 *
 *  Created on: Jul 29, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_GESTURE_H_
#define NUITRACK_GESTURE_H_

#include <memory>
#include <vector>

namespace tdv
{
namespace nuitrack
{

enum GestureType
{
	GESTURE_WAVING          = 0,
	GESTURE_SWIPE_LEFT      = 1,
	GESTURE_SWIPE_RIGHT     = 2,
	GESTURE_SWIPE_UP        = 3,
	GESTURE_SWIPE_DOWN      = 4,
	GESTURE_PUSH            = 5,
};

enum UserStateType
{
	USER_IS_ABSENT			= 0,
	USER_IN_SCENE			= 1,
	USER_ACTIVE				= 2
};

struct Gesture
{
	/*
	* User id
	*/
	int userId;

	/*
	* Gesture type
	*/
	GestureType type;
};

struct UserState
{
	/*
	 * User id
	 */
	int userId;

	/*
	 * User state
	 */
	UserStateType state;
};

struct GestureState
{
	/*
	 * Gesture type
	 */
	GestureType type;

	/*
	 * Execution progress (in percents)
	 */
	int progress;
};

struct UserGesturesState: public UserState
{
	/*
	 * Gesture progress for user
	 */
	std::vector<GestureState> gestures;
};

}
}

#endif /* NUITRACK_GESTURE_H_ */
