/*
 * HandTrackerData.h
 *
 *  Created on: Aug 18, 2014
 *      Author: andrey-tsb
 */

#ifndef NUITRACK_HANDTRACKERDATA_H_
#define NUITRACK_HANDTRACKERDATA_H_

#include "nuitrack/types/ObjectData.h"
#include "nuitrack/types/Hand.h"
#include <vector>

namespace tdv
{
namespace nuitrack
{

class HandTrackerData: public ObjectData<HandTrackerData>
{
public:
    /**
     * @brief Get current number of users tracked by hand tracker
     *
     * @return Number of users
     */
    virtual int getNumUsers() const = 0;

    /**
     * @brief Get user hands
     *
     * @return User hands
     */
    virtual const std::vector<UserHands>& getUsersHands() const = 0;
};

}
}

#endif /* NUITRACK_HANDTRACKERDATA_H_ */
