/*
 * ObjectData.h
 *
 *  Created on: Jul 30, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_OBJECTDATA_H_
#define NUITRACK_OBJECTDATA_H_

#include <memory>

namespace tdv
{
namespace nuitrack
{

template<typename TImpl>
class ObjectData
{
public:
	typedef std::shared_ptr<TImpl> Ptr;

	virtual ~ObjectData() {}

	/**
	 * @brief Get timestamp for current data.
	 *
	 * @return Timestamp data.
	 */
	virtual uint64_t getTimestamp() const = 0;
};

}
}

#endif /* NUITRACK_OBJECTDATA_H_ */
