/*
 * OutputMode.h
 *
 *  Created on: Jul 1, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_OUTPUTMODE_H_
#define NUITRACK_OUTPUTMODE_H_

namespace tdv
{
namespace nuitrack
{

/**
* @brief Contents Depth map parameters.
* @ingroup DepthSensor_group
*/
struct OutputMode
{
	/**
	 * Frames per second.
	 */
	int fps;

	/**
	 * X resolution (frame width).
	 */
	int xres;

	/**
	 * Y resolution (frame height).
	 */
	int yres;

	/**
	 * Horizontal field of view in radians.
	 */
	float hfov;
};

}
}

#endif /* NUITRACK_OUTPUTMODE_H_ */
