/*
 * UserSkeletons.h
 *
 *  Created on: Jul 29, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_SKELETONDATA_H_
#define NUITRACK_SKELETONDATA_H_

#include <memory>

#include "nuitrack/types/Skeleton.h"
#include "nuitrack/types/ObjectData.h"

namespace tdv
{
namespace nuitrack
{

	/**
	* @brief Contents all available skeletons with timestamp.
	* @ingroup SkeletonTracker_group
	*/
class SkeletonData: public ObjectData<SkeletonData>
{
public:
	/**
	 * @brief Get current number of skeletons.
	 *
	 * @return Number of skeletons.
	 */
	virtual int getNumSkeletons() const = 0;

	/**
	 * @brief Get current user skeletons.
	 *
	 * @return Skeletons.
	 */
	virtual const std::vector<Skeleton>& getSkeletons() const = 0;
};

}
}

#endif /* NUITRACK_SKELETONDATA_H_ */
