/*
 * Users.h
 *
 *  Created on: Apr 8, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_USER_H_
#define NUITRACK_USER_H_

#include "nuitrack/types/Vector3.h"
#include "nuitrack/types/BoundingBox.h"

namespace tdv
{
namespace nuitrack
{

struct User
{
	/**
	 * User identifier.
	 */
	int id;

	/**
	 * Center of mass real and projective coordinates.
	 */
	Vector3 proj;
	Vector3 real;

	/**
	 * Bounding box (with floating-point coordinates [0;1])
	 */
	BoundingBox box;

	/**
	 * Occlusion fraction [0;1]
	 */
	float occlusion;

};

}
}

#endif /* NUITRACK_USER_H_ */
