/*
 * UserFrame.h
 *
 *  Created on: Apr 14, 2014
 *      Author: Alex Desinov
 */

#ifndef NUITRACK_USERFRAME_H_
#define NUITRACK_USERFRAME_H_

#include <vector>

#include "nuitrack/types/Frame.h"
#include "nuitrack/types/User.h"

namespace tdv
{
namespace nuitrack
{

class UserFrame: public Frame<UserFrame, uint16_t>
{
public:
	/**
	 * @brief Get current Users.
	 *
	 * @return Users.
	 */
	virtual const std::vector<User>& getUsers() const = 0;

	/**
	 * @brief Get point of floor.
	 *
	 * @return floor point.
	 */
	virtual const Vector3& getFloor() const = 0;

	/**
	 * @brief Get normal of floor.
	 *
	 * @return floor normal.
	 */
	virtual const Vector3& getFloorNormal() const = 0;
};

}
}

#endif /* NUITRACK_USERFRAME_H_ */
